package com.inca.npbusi.sacon.bms_sa_con;

import com.inca.entity.client.pub.CompanyOnClient;
import com.inca.gsp.service.GSPHelper;
import com.inca.np.auth.ClientUserManager;
import com.inca.np.auth.Userruninfo;
import com.inca.np.communicate.ClientRequest;
import com.inca.np.communicate.DataCommand;
import com.inca.np.communicate.ParamCommand;
import com.inca.np.communicate.ServerResponse;
import com.inca.np.communicate.StringCommand;
import com.inca.np.demo.communicate.RemotesqlHelper;
import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.control.CToolbar;
import com.inca.np.gui.control.DBTableModel;
import com.inca.np.gui.mde.CMasterModel;
import com.inca.np.gui.mde.CMdeModel;
import com.inca.np.util.SendHelper;
import com.inca.pubsrv.NpbusiDBHelper;
import com.inca.pubsrv.hov.bms_tr_pos_hov.Bms_tr_pos_hov;
import com.inca.pubsrv.hov.pub_custom_to_saler_hov.Pub_custom_to_saler_hov;
import java.awt.BorderLayout;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import javax.swing.JPanel;
import org.apache.log4j.Category;

public class Bms_sa_con_master extends CMasterModel {
   private Category a = Category.getInstance(Bms_sa_con_master.class);

   public Bms_sa_con_master(CFrame var1, CMdeModel var2) {
      super(var1, "销售订单总单", var2);
   }

   public String getTablename() {
      return "bms_sa_con_doc_v";
   }

   public String getSaveCommandString() {
      return null;
   }

   protected int on_beforeNew() {
      String var1;
      if ((var1 = ((Bms_sa_con_mde)this.mdemodel).getEntryid()) != null && !var1.equals("")) {
         String var2 = "1";
         String var3 = "select t.value\n  from sys_npbusi_config t\n where t.keyword like 'GSPFlag'\n   and t.entryid = " + var1;
         RemotesqlHelper var4 = new RemotesqlHelper();

         try {
            DBTableModel var6;
            if ((var6 = var4.doSelect(var3, 0, 1)) != null && var6.getRowCount() > 0) {
               var2 = var6.getItemValue(0, "gspflag");
            }
         } catch (Exception var5) {
            var5.printStackTrace();
            this.errorMessage("错误", "检索独立单元gsp管控标志时发生异常，原因为：" + var5.getMessage());
         }

         return !this.a(var2, var1) ? -1 : super.on_beforeNew();
      } else {
         this.infoMessage("提示", "您当前登录的角色没有指定独立单元，不能录入订单！");
         return -1;
      }
   }

   protected int on_new(int var1) {
      Userruninfo var2 = ClientUserManager.getCurrentUser();
      this.setItemValue(var1, "entryid", ((Bms_sa_con_mde)this.mdemodel).getEntryid());
      this.setItemValue(var1, "entryname", ((Bms_sa_con_mde)this.mdemodel).getEntryname());
      this.setItemValue(var1, "inputmanid", var2.getUserid());
      this.setItemValue(var1, "inputmanname", var2.getUsername());
      String var3;
      if ((var3 = ((Bms_sa_con_mde)this.mdemodel).getApvalue("销售模式")) != null && !var3.equals("")) {
         this.setItemValue(var1, "sa_mode", var3);
      } else {
         this.setItemValue(var1, "sa_mode", "1");
      }

      if ((var3 = ((Bms_sa_con_mde)this.mdemodel).getApvalue("配货模式")) != null && !var3.equals("")) {
         this.setItemValue(var1, "fix_mode", var3);
      } else {
         this.setItemValue(var1, "fix_mode", "1");
      }

      if ((var3 = ((Bms_sa_con_mde)this.mdemodel).getApvalue("结算方式")) != null && !var3.equals("")) {
         this.setItemValue(var1, "settletypeid", var3);
      } else {
         this.setItemValue(var1, "settletypeid", "1");
      }

      this.setItemValue(var1, "usestatus", "1");
      this.setItemValue(var1, "approveflag", "0");
      this.setItemValue(var1, "printflag", "0");
      this.setItemValue(var1, "comefrom", "1");
      this.setItemValue(var1, "credate", NpbusiDBHelper.getSysdate());
      this.setItemValue(var1, "assessdate", NpbusiDBHelper.getSysdate());
      this.setItemValue(var1, "validbegindate", NpbusiDBHelper.getSysdate());
      this.setItemValue(var1, "validenddate", NpbusiDBHelper.getSysdate());
      this.setItemValue(var1, "signdate", NpbusiDBHelper.getSysdate());
      return super.on_new(var1);
   }

   public int on_beforesave() {
      for(int var1 = 0; var1 < this.getRowCount(); ++var1) {
         String var2;
         if ((var2 = this.getItemValue(var1, "fmid")) == null || var2.equals("")) {
            this.setItemValue(var1, "fmid", "0");
            this.setItemValue(var1, "exchange", "1");
         }
      }

      return super.on_beforesave();
   }

   protected void on_itemvaluechange(int var1, String var2, String var3) {
      super.on_itemvaluechange(var1, var2, var3);
      String var4 = ((Bms_sa_con_mde)this.mdemodel).getEntryid();
      if (!var2.equals("customid")) {
         if (var2.equals("delivermethod")) {
            if ("0".equals(var3)) {
               this.getDBColumnDisplayInfo("midposopcode").setReadonly(false);
               this.getDBColumnDisplayInfo("urgentflag").setReadonly(true);
               this.setItemValue(var1, "urgentflag", "");
               this.getDBColumnDisplayInfo("tranpriority").setReadonly(true);
               this.setItemValue(var1, "tranpriority", "");
               this.getDBColumnDisplayInfo("targetdate").setReadonly(true);
               this.setItemValue(var1, "targetdate", "");
               this.getDBColumnDisplayInfo("targetposopcode").setReadonly(true);
               this.setItemValue(var1, "targetposopcode", "");
               this.setItemValue(var1, "targetposid", "");
            } else if ("1".equals(var3)) {
               this.getDBColumnDisplayInfo("midposopcode").setReadonly(true);
               this.setItemValue(var1, "midposopcode", "");
               this.setItemValue(var1, "midposid", "");
               this.getDBColumnDisplayInfo("urgentflag").setReadonly(false);
               this.getDBColumnDisplayInfo("tranpriority").setReadonly(false);
               this.getDBColumnDisplayInfo("targetdate").setReadonly(false);
               this.getDBColumnDisplayInfo("targetposopcode").setReadonly(false);
            } else {
               this.getDBColumnDisplayInfo("midposopcode").setReadonly(true);
               this.setItemValue(var1, "midposopcode", "");
               this.setItemValue(var1, "midposid", "");
               this.getDBColumnDisplayInfo("urgentflag").setReadonly(true);
               this.setItemValue(var1, "urgentflag", "");
               this.getDBColumnDisplayInfo("tranpriority").setReadonly(true);
               this.setItemValue(var1, "tranpriority", "");
               this.getDBColumnDisplayInfo("targetdate").setReadonly(true);
               this.setItemValue(var1, "targetdate", "");
               this.getDBColumnDisplayInfo("targetposopcode").setReadonly(true);
               this.setItemValue(var1, "targetposopcode", "");
               this.setItemValue(var1, "targetposid", "");
            }
         } else {
            if (var2.equalsIgnoreCase("salerid")) {
               this.a(var1);
            }

         }
      } else {
         var2 = this.getItemValue(var1, "credate");
         String var5;
         DBTableModel var17;
         if ((var17 = NpbusiDBHelper.checkLicense("3", var3, var4, var2)) != null && var17.getRowCount() > 0) {
            var5 = "";

            for(int var25 = 0; var25 < var17.getRowCount(); ++var25) {
               String var21 = var17.getItemValue(var25, "message");
               var5 = var5 + "客户ID:" + var3 + " " + var21 + "\n";
            }

            this.infoMessage("提示", "证照类型检查没有通过：\n" + var5);
            this.setItemValue(var1, "customid", "");
            this.setItemValue(var1, "customopcode", "");
            this.setItemValue(var1, "customname", "");
            this.setItemValue(var1, "customno", "");
            this.setItemValue(var1, "targetname", "");
            this.setItemValue(var1, "targetposid", "");
            this.setItemValue(var1, "targetposopcode", "");
         } else {
            if ((var5 = this.getItemValue(var1, "agentid")) != null || !"".equals(var5)) {
               this.setItemValue(var1, "agentid", "");
               this.setItemValue(var1, "agentopcode", "");
               this.setItemValue(var1, "agentname", "");
            }

            this.setItemValue(var1, "saleropcode", "");
            String var6;
            RemotesqlHelper var7;
            String var8;
            String var9;
            String var10;
            if (!"".equals(var3)) {
               var7 = new RemotesqlHelper();
               var17 = null;
               var5 = ClientUserManager.getCurrentUser().getUserid();
               var6 = "select * from pub_custom_to_saler_v where customid=" + var3 + " and entryid=" + var4 + " and salerid=" + var5;

               try {
                  var17 = var7.doSelect(var6, 0, 10);
               } catch (Exception var15) {
                  var15.printStackTrace();
               }

               if (var17 == null || var17.getRowCount() < 0) {
                  this.infoMessage("提示", "没有业务员，不可录入总单！");
                  this.setItemValue(var1, "customopcode", "");
                  this.setItemValue(var1, "customname", "");
                  this.setItemValue(var1, "customid", "");
                  return;
               }

               if (var17.getRowCount() == 1) {
                  var6 = var17.getItemValue(0, "salerdeptid");
                  var8 = var17.getItemValue(0, "salerid");
                  var5 = var17.getItemValue(0, "saleropcode");
                  var9 = var17.getItemValue(0, "salername");
                  var10 = var17.getItemValue(0, "salerdeptname");
                  if (var6 == null || "".equals(var6)) {
                     var6 = "select * from pub_employee_v where employeeid=" + var8;

                     try {
                        var17 = var7.doSelect(var6, 0, 1);
                     } catch (Exception var14) {
                        var14.printStackTrace();
                     }

                     var6 = var17.getItemValue(0, "deptid");
                     var10 = var17.getItemValue(0, "deptname");
                  }

                  this.setItemValue(var1, "salerid", var8);
                  this.setItemValue(var1, "saleropcode", var5);
                  this.setItemValue(var1, "salername", var9);
                  this.setItemValue(var1, "salesdeptname", var10);
                  this.setItemValue(var1, "salesdeptid", var6);
               } else {
                  Pub_custom_to_saler_hov var20;
                  (var20 = new Pub_custom_to_saler_hov(true)).setOtherwheres("customid = " + var3 + " and entryid=" + var4);
                  DBTableModel var22;
                  if ((var22 = var20.showDialog(this.frame, "")) == null) {
                     this.setItemValue(var1, "salerid", "");
                     this.setItemValue(var1, "saleropcode", "");
                     this.setItemValue(var1, "salername", "");
                     this.setItemValue(var1, "salesdeptname", "");
                     this.setItemValue(var1, "salesdeptid", "");
                  } else {
                     var5 = var22.getItemValue(0, "salerid");
                     var9 = var22.getItemValue(0, "saleropcode");
                     var10 = var22.getItemValue(0, "salername");
                     var6 = var22.getItemValue(0, "salerdeptname");
                     var2 = var22.getItemValue(0, "salerdeptid");
                     this.setItemValue(var1, "salerid", var5);
                     this.setItemValue(var1, "saleropcode", var9);
                     this.setItemValue(var1, "salername", var10);
                     this.setItemValue(var1, "salesdeptname", var6);
                     this.setItemValue(var1, "salesdeptid", var2);
                  }
               }
            }

            if (!"".equals(var3)) {
               var7 = new RemotesqlHelper();
               var17 = null;
               var6 = "SELECT A.TRANPOSID,a.opcode,A.COMPANYID,C.COMPANYOPCODE,C.COMPANYNAME, A.TRANPOSNAME, a.POSORDER,A.TRANPOSTYPE,A.DISTANCE, A.ADDRESS,A.TELEPHONE,  A.FAX,A.POSTCODE,A.CONTRACTMAN ,A.MEMO, A.USESTATUS, a.translineid,d.translineopcode,d.translinename,a.transortno, a.defaultflag   FROM BMS_TR_POS_DEF A, PUB_COMPANY C,Pub_transline_def d WHERE A.COMPANYID = C.COMPANYID(+) and a.translineid=d.translineid(+) and A.companyid=" + var3 + " and A.entryid=" + var4;

               try {
                  var17 = var7.doSelect(var6, 0, 10);
               } catch (Exception var13) {
                  var13.printStackTrace();
               }

               if (var17 != null && var17.getRowCount() > 0) {
                  if (var17.getRowCount() == 1) {
                     var5 = var17.getItemValue(0, "TRANPOSNAME");
                     var6 = var17.getItemValue(0, "opcode");
                     var8 = var17.getItemValue(0, "TRANPOSID");
                     this.setItemValue(var1, "targetposname", var5);
                     this.setItemValue(var1, "targetposopcode", var6);
                     this.setItemValue(var1, "targetposid", var8);
                  } else {
                     RemotesqlHelper var18 = new RemotesqlHelper();
                     DBTableModel var23 = null;
                     var8 = "SELECT A.TRANPOSID,a.opcode,A.COMPANYID,C.COMPANYOPCODE,C.COMPANYNAME, A.TRANPOSNAME, a.POSORDER,A.TRANPOSTYPE,A.DISTANCE, A.ADDRESS,A.TELEPHONE,  A.FAX,A.POSTCODE,A.CONTRACTMAN ,A.MEMO, A.USESTATUS, a.translineid,d.translineopcode,d.translinename,a.transortno, a.defaultflag   FROM BMS_TR_POS_DEF A, PUB_COMPANY C,Pub_transline_def d WHERE A.COMPANYID = C.COMPANYID(+) and a.translineid=d.translineid(+) and A.companyid=" + var3 + " and A.entryid=" + var4 + " and Defaultflag = 1";

                     try {
                        var23 = var18.doSelect(var8, 0, 1);
                     } catch (Exception var12) {
                        var12.printStackTrace();
                     }

                     if (var23 != null && var23.getRowCount() > 0) {
                        var5 = var23.getItemValue(0, "TRANPOSNAME");
                        var9 = var23.getItemValue(0, "opcode");
                        var10 = var23.getItemValue(0, "tranposid");
                        this.setItemValue(var1, "targetposname", var5);
                        this.setItemValue(var1, "targetposopcode", var9);
                        this.setItemValue(var1, "targetposid", var10);
                     } else {
                        Bms_tr_pos_hov var19;
                        (var19 = new Bms_tr_pos_hov(true)).setOtherwheres("companyid = " + var3 + " and entryid=" + var4);
                        DBTableModel var24;
                        if ((var24 = var19.showDialog(this.frame, "")) == null) {
                           this.setItemValue(var1, "targetposname", "");
                           this.setItemValue(var1, "targetposopcode", "");
                        } else {
                           var10 = var24.getItemValue(0, "TRANPOSNAME");
                           var6 = var24.getItemValue(0, "opcode");
                           var2 = var24.getItemValue(0, "tranposid");
                           this.setItemValue(var1, "targetposname", var10);
                           this.setItemValue(var1, "targetposopcode", var6);
                           this.setItemValue(var1, "targetposid", var2);
                        }
                     }
                  }
               } else {
                  this.setItemValue(var1, "targetposopcode", "");
                  this.setItemValue(var1, "targetposname", "");
                  this.setItemValue(var1, "targetposid", "");
               }
            }

            var6 = "select defaultinvoicetype from pub_customer where customid=" + var3;
            var7 = new RemotesqlHelper();

            try {
               var17 = var7.doSelect(var6, 0, 1);
               this.setItemValue(var1, "invtype", var17.getItemValue(0, "defaultinvoicetype"));
            } catch (Exception var11) {
               var11.printStackTrace();
            }

            var6 = "select settletypeid,delivermethod,lowpriceflag from pub_company_to_definfo where companyid=" + var3 + " and (entryid is null or entryid=" + var4 + ") order by nvl(entryid,-1) desc";

            try {
               if ((var17 = var7.doSelect(var6, 0, 1)) != null && var17.getRowCount() > 0) {
                  var5 = var17.getItemValue(0, "delivermethod");
                  var6 = var17.getItemValue(0, "settletypeid");
                  var8 = var17.getItemValue(0, "lowpriceflag");
                  if (var6 == null || var6.equals("")) {
                     var6 = ((Bms_sa_con_mde)this.mdemodel).getApvalue("结算方式");
                  }

                  this.setItemValue(var1, "settletypeid", var6);
                  this.setItemValue(var1, "delivermethod", var5);
                  this.setItemValue(var1, "lowpriceflag", var8);
                  this.on_itemvaluechange(var1, "delivermethod", var5);
               }
            } catch (Exception var16) {
               var16.printStackTrace();
            }

            this.a(var1);
         }
      }
   }

   protected int on_checkrow(int var1, DBTableModel var2) {
      Date var3 = null;
      Date var4 = null;
      String var5;
      if ((var5 = this.getItemValue(var1, "credate")) != null && !var5.equals("") && !var5.substring(0, 10).equals("0000-00-00")) {
         var5 = this.getItemValue(var1, "validbegindate");
         String var6 = this.getItemValue(var1, "validenddate");
         SimpleDateFormat var7 = new SimpleDateFormat("yyyy-MM-dd");

         try {
            var3 = var7.parse(var5.substring(0, 10));
            var4 = var7.parse(var6.substring(0, 10));
         } catch (ParseException var9) {
            var9.printStackTrace();
         }

         if (var3.after(var4)) {
            this.errorMessage("提示", "开始日期不能大于结束日期");
            return -1;
         } else {
            var5 = this.getItemValue(var1, "targetposid");
            String var10;
            if ((var10 = this.getItemValue(var1, "storageid")) != null && var10.trim().length() > 0 && (var5 == null || var5.trim().length() <= 0)) {
               var10 = "select a.customid from bms_st_def a where nvl(a.wmsflag,0)=1 and a.storageid=" + var10;
               RemotesqlHelper var12 = new RemotesqlHelper();

               try {
                  DBTableModel var11;
                  if ((var11 = var12.doSelect(var10, 0, 1)) != null && var11.getRowCount() > 0) {
                     this.infoMessage("提示", "物流保管帐，没有维护运输地点");
                     return -1;
                  }
               } catch (Exception var8) {
                  var8.printStackTrace();
               }
            }

            return super.on_checkrow(var1, var2);
         }
      } else {
         this.infoMessage("提示", "建立日期不能为空!");
         return -1;
      }
   }

   public boolean canInvokehov(String var1) {
      String var2;
      if (!var1.equals("saleropcode") || (var2 = this.getItemValue(this.getRow(), "customid")) != null && !var2.equals("")) {
         return super.canInvokehov(var1);
      } else {
         this.infoMessage("提示", "请先录入客户！");
         return false;
      }
   }

   public String getHovOtherWheres(int var1, String var2) {
      String var3 = ((Bms_sa_con_mde)this.mdemodel).getEntryid();
      String var5;
      if ("customopcode".equals(var2)) {
         var5 = "1=1";
         if (((Bms_sa_con_mde)this.mdemodel).getApvalue("是否业务员开票").trim().equals("1")) {
            var5 = var5 + String.format(" and exists(select 1 from pub_custom_to_saler where customid=pub_customer_v.customid and salerid=%s)", ClientUserManager.getCurrentUser().getUserid());
         }

         return GSPHelper.getCustomOtherWheresOnHov(var3, "pub_customer_v", "customid", true, true) + " and " + var5;
      } else if (var2.equals("saleropcode")) {
         var5 = this.getItemValue(var1, "customid");
         return "customid=" + var5 + " and entryid=" + var3;
      } else if (var2.equals("salerid")) {
         return "entryid=" + var3;
      } else if (var2.equals("targetposopcode")) {
         if ((var5 = this.getItemValue(var1, "customid")) != null && !var5.equals("")) {
            return "tranpostype = 1 and companyid = " + var5 + " and entryid=" + var3;
         } else {
            this.infoMessage("提示", "请先录入客户！");
            return "1>2";
         }
      } else if (var2.equals("agentopcode")) {
         if (!(var5 = this.getItemValue(var1, "customid")).equals("") && var5 != null) {
            return " type=2 and companyid=" + var5 + " and (entryid is null or entryid=" + var3 + ")";
         } else {
            this.infoMessage("提示！", "请选择客户！");
            return " 1>2";
         }
      } else if (var2.equals("agentid")) {
         return " type=2 and (entryid is null or entryid=" + var3 + ")";
      } else if (var2.equals("storageopcode")) {
         var5 = "1=1";
         if (var3 != null) {
            var3.trim().isEmpty();
         }

         var2 = ((Bms_sa_con_mde)this.mdemodel).getApvalue("是否业务员开票");
         var3 = ((Bms_sa_con_mde)this.mdemodel).getApvalue("大库保管账");
         String var4;
         if ((var4 = this.getItemValue(this.getRow(), "customid")) != null && !var4.trim().isEmpty()) {
            if (var2.trim().equals("1")) {
               if (var3 != null && var3.trim().length() > 0) {
                  var5 = var5 + " and customid=" + var4 + " or storageid in (" + var3 + ")";
               }
            } else {
               var5 = var5 + " and (customid =" + var4 + " or customid is null)";
            }

            return var5;
         } else {
            this.infoMessage("提示", "请先录入客户信息");
            return null;
         }
      } else {
         return super.getHovOtherWheres(var1, var2);
      }
   }

   protected String getOtherWheres() {
      String var1;
      if ((var1 = ((Bms_sa_con_mde)this.mdemodel).getEntryid()) != null && var1.length() != 0) {
         var1 = "entryid = " + var1;
         return var1 + super.getOtherWheres();
      } else {
         this.infoMessage("提示", "您当前登录的角色没有指定独立单元，不能操作！");
         return null;
      }
   }

   protected JPanel createSecondtoolbar() {
      JPanel var1 = new JPanel();
      CToolbar var2 = new CToolbar();
      var1.setLayout(new BorderLayout());
      var1.add(var2);
      return NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(var1, "提交订单(O)", "提交订单", "提交订单", 79, this.mdemodel), "审批(V)", "审批", "审批", 86, this.mdemodel), "确定(C)", "确定", "确定", 67, this.mdemodel), "回退确定(B)", "回退确定", "回退确定", 66, this.mdemodel), "作废(I)", "作废", "作废", 73, this.mdemodel), "勾兑网上订单(G)", "勾兑网上订单", "勾兑网上订单", 71, this.mdemodel), "切换独立单元(A)", "切换独立单元", "切换独立单元", 65, this.mdemodel);
   }

   protected int on_beforemodify(int var1) {
      if (this.mdemodel.getDetailModel().getRowCount() > 0) {
         return -1;
      } else {
         this.setFocus("credate");
         return super.on_beforemodify(var1);
      }
   }

   public void on_doubleclick(int var1, int var2) {
      this.setFocus("credate");
      super.on_doubleclick(var1, var2);
   }

   public int on_hov(int var1, String var2, DBTableModel var3) {
      String var4 = ((Bms_sa_con_mde)this.mdemodel).getEntryid();
      if (var2.equals("customopcode")) {
         if (!this.a(var3)) {
            return 0;
         }

         String var5 = var3.getItemValue(0, "customid");
         var4 = "select settletypeid from pub_company_to_definfo where companyid=" + var5 + " and entryid=" + var4;
         RemotesqlHelper var8 = new RemotesqlHelper();

         try {
            DBTableModel var7 = var8.doSelect(var4, 0, 1);
            var5 = "";
            if (var7 != null && var7.getRowCount() > 0) {
               var5 = var7.getItemValue(0, "settletypeid");
            }

            this.setItemValue(var1, "settletypeid", var5);
         } catch (Exception var6) {
            var6.printStackTrace();
         }
      }

      return super.on_hov(var1, var2, var3);
   }

   private boolean a(DBTableModel var1) {
      CompanyOnClient var3;
      (var3 = new CompanyOnClient(var1.getItemValue(0, "customid"))).setCompanyType(2);

      try {
         return var3.sendNomalCheck("3", ((Bms_sa_con_mde)this.mdemodel).getEntryid());
      } catch (Exception var2) {
         this.errorMessage("检查供应商执照错误", var2.getMessage());
         return false;
      }
   }

   private void a(int var1) {
      String var2 = this.getItemValue(var1, "customid");
      String var3 = this.getItemValue(var1, "salerid");
      String var4 = this.getItemValue(var1, "entryid");
      String var5 = "";
      String var6 = "";
      if (!var2.equals("") && !var3.equals("") && !var4.equals("")) {
         ParamCommand var7;
         (var7 = new ParamCommand()).addParam("action", "查询最小可用额度");
         var7.addParam("salerid", var3);
         var7.addParam("customid", var2);
         var7.addParam("entryid", var4);
         ClientRequest var9;
         (var9 = new ClientRequest("sa.CreditAdjust.后台服务")).addCommand(var7);

         try {
            ServerResponse var10;
            DBTableModel var11;
            if (((StringCommand)(var10 = SendHelper.sendRequest(var9)).commandAt(0)).getString().startsWith("+") && (var11 = ((DataCommand)var10.commandAt(1)).getDbmodel()).getRowCount() > 0) {
               var5 = var11.getItemValue(0, "c");
               var6 = var11.getItemValue(0, "d");
            }
         } catch (Exception var8) {
            this.a.error("查询最小可用额度", var8);
         }
      }

      this.setItemValue(var1, "credit", var5);
      this.setItemValue(var1, "creditdays", var6);
   }

   protected String getEditablecolumns(int var1) {
      int var2 = this.getdbStatus(var1);
      String var3 = this.getItemValue(var1, "usestatus");
      this.getItemValue(var1, "contype");
      if (var2 != 1) {
         return var3 != null && var3.trim().length() > 0 && "1".equals(var3) ? "targetposopcode" : "nothing";
      } else {
         return this.mdemodel.getDetailModel().getDBtableModel().getRowCount() <= 0 ? "conno,credate,contype,customopcode,invtype,agentopcode,saleropcode,signmanopcode,signdate,assessdate,sa_mode,fix_mode,settletypeid,delivermethod,tranmethod,wmstranmethod,\tvalidbegindate,validenddate,signaddress,summary,targetposopcode,urgentflag,tranpriority,targetdate,fmopcode,memo,nowmsflag,receiptstatus,storageopcode" : "conno,credate,contype,invtype,agentopcode,saleropcode,signmanopcode,signdate,assessdate,sa_mode,fix_mode,settletypeid,delivermethod,tranmethod,wmstranmethod\tvalidbegindate,validenddate,signaddress,summary,targetposopcode,urgentflag,tranpriority,targetdate,fmopcode,memo,nowmsflag,receiptstatus,storageopcode";
      }
   }

   private boolean a(String var1, String var2) {
      String var3 = "select a.entrycompanyid\n  from pub_entry a\n where a.entryid = " + var2;
      RemotesqlHelper var4 = new RemotesqlHelper();

      try {
         DBTableModel var6 = var4.doSelect(var3, 0, 1);
         String var8 = null;
         if (var6 != null && var6.getRowCount() > 0) {
            var8 = var6.getItemValue(0, "entrycompanyid");
         }

         CompanyOnClient var7;
         (var7 = new CompanyOnClient(var8)).setCompanyType(2);
         var7.setGSPFlag(var1);
         return var7.sendNomalCheck("3", var2);
      } catch (Exception var5) {
         this.errorMessage("检查独立单元执照错误", var5.getMessage());
         return false;
      }
   }
}
